package com.boot.bus.sqlsync.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.boot.bus.sqlsync.mapper.ContingencyPlanInstanceMapper;
import com.boot.bus.sqlsync.service.infc.IContingencyPlanInstance;
import com.yeejoin.amos.fas.dao.entity.ContingencyPlanInstance;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ProjectName: amos-boot-bus
 * @Package: com.boot.bus.sqlsync.service.impl
 * @ClassName: ContingencyInstanceImpl
 * @Author: Jianqiang Gao
 * @Description: ContingencyInstanceImpl
 * @Date: 2022/6/9 17:25
 * @Version: 1.0
 */
@Service
public class ContingencyInstanceImpl extends ServiceImpl<ContingencyPlanInstanceMapper, ContingencyPlanInstance> implements IContingencyPlanInstance {

    @Override
    public void astDeleteByIds(List<String> ids) {
        if (!ids.isEmpty()) {
            baseMapper.deleteBatchIds(ids);
        }
    }

    @Override
    public void astSaveOrUpdateBatch(List<ContingencyPlanInstance> list) {
        if (!list.isEmpty()) {
            saveOrUpdateBatch(list);
        }
    }
}