package com.boot.bus.sqlsync.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author keyong
 * @title: DataSyncTypeEnum
 * <pre>
 * @description: TODO
 * </pre>
 * @date 2022/6/10 14:08
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum DataSyncTypeEnum {

    // 站端相关枚举
    CONTINGENCY_PLAN_DETAIL("11", "cs/v1/fireASF/dataSync"),
    CONTINGENCY_PLAN_OPERATION_RECORD("11", "cs/v1/fireASF/dataSync"),
    CONTINGENCY_ORIGINAL_DATA("11", "cs/v1/fireASF/dataSync"),
    CONTINGENCY_PLAN_INSTANCE("11", "cs/v1/fireASF/dataSync"),

    // 巡检相关枚举
    PATROL_CHECK("11", "cs/v1/fireASF/dataSync"),
    PATROL_CHECK_INPUT("11", "cs/v1/fireASF/dataSync"),
    PATROL_CHECK_SHOT("11", "cs/v1/fireASF/dataSync"),
    PATROL_LATENT_DANGER("11", "cs/v1/fireASF/dataSync"),
    PATROL_LATENT_DANGER_FLOW_RECORD("11", "cs/v1/fireASF/dataSync"),
    PATROL_LATENT_DANGER_PATROL("11", "cs/v1/fireASF/dataSync"),
    PATROL_LATENT_DANGER_PHOTO("11", "cs/v1/fireASF/dataSync"),
    PATROL_PLAN_TASK("11", "cs/v1/fireASF/dataSync"),
    PATROL_PLAN_TASK_DETAIL("11", "cs/v1/fireASF/dataSync");

    /**
     * 资源类型编码
     */
    private String sourceCode;
    /**
     * mqtt主题
     */
    private String mqTopic;
}

